View Issue Details

IDProjectCategoryView StatusLast Update
0011131mantisbtfeaturepublic2015-04-29 13:19
Reporterfranklinhaut Assigned Toatrol  
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.0rc2 
Summary0011131: Auto-Text note
Description

To enlarge produtivity and quality is interessant create the auto-text in the notes.

See the attached image.

The list of auto-text should have two fields:

Short description: to be displayed in the select list (combobox)
Long Description: to be assigned in the text box annotation

Tagsplugin

Activities

franklinhaut

franklinhaut

2009-11-06 10:51

reporter  

autotext.jpg (41,095 bytes)   
autotext.jpg (41,095 bytes)   
vboctor

vboctor

2009-11-06 15:57

manager   ~0023610

This seems to be a good candidate for a 1.2.0 plugin.

yw84ever

yw84ever

2009-11-11 17:25

reporter   ~0023661

And the point of this would be to save people from typing the same text over and over? If it is meant for more than that how about integrating these elements into the workflow or as custom fields?

franklinhaut

franklinhaut

2009-11-12 05:33

reporter   ~0023678

And the point of this would be to save people from typing the same text over and over?

R: Yes. Example. quality tests need some steps to follow. database tested, if any other problem is detected. etc.

If it is meant for more than that how about integrating these elements into the workflow or as custom fields?

R: i think that vboctor is rigth, a custom field with the plugin system its a good idea. I don´t know if its possible after select the item in combobox make a question "You want add or replace the text on note?" with the option "add" "replace" "cancel"

franklinhaut

franklinhaut

2009-11-12 05:54

reporter   ~0023681

Another plugin suggestion is to move the option of "billing" in the main menu to plugin.

The plugin system resolves the issue of customization of the mantis, but I feel the lack of a central plugins compatible with the core 1.2.

for example, where is the plugin that shows the box "run" what's up?

I think it would be interesting to create a project "plugins" in own mantis where it is reported this message.

Moving the cases of good plugins available such as integration with email, FAQ, etc..

And to help make this distribution take a look at 0011130 and the case 0004286 organized using in every note the files of the updated version, not the beginning of the task.

vboctor

vboctor

2009-11-12 06:44

manager   ~0023682

@franklinhaut, we are sorting out where we are going to host the bugs associated with the projects. This could either be in mantisbt.org/bugs or in mantisforge.org.

The plugin for the run cmd can be found at:
http://git.mantisforge.org/w/MantisCmd.git

Generally most of the plugins can be found at:

  1. http://git.mantisforge.org
  2. http://git.mantisbt.org -- these are being moved to http://git.mantisforge.org.
  3. this bug tracker - typically contributors start by contributing them here and then we direct them to git.mantisforge.org. We also tag plugins with "plugins".
  4. Other places - Users always have the option to post them on github or blogs. However, I haven't seen much in this category.
franklinhaut

franklinhaut

2009-11-12 12:29

reporter   ~0023698

cool, im take a look there

hoy

hoy

2009-11-17 06:49

reporter   ~0023738

Last edited: 2009-11-17 07:05

View 2 revisions

I have the same need. Here is a simple implementation, allowing to define templates for all project and some specific to project (id):
in bugnote_add_inc.php
search:
<<
<textarea name="bugnote_text" id="bugnote_text" cols="80" rows="10"></textarea>

and replace by:
<<
<textarea name="bugnote_text" id="bugnote_text" cols="80" rows="10"></textarea>
<!-- HOY bug note template start http://www.mantisbt.org/bugs/view.php?id=11131 -->
<select id='bugnote_text_template' onchange='document.getElementById("bugnote_text").value=document.getElementById("bugnote_text_template").value'>
<option value=''>None</option>
<?php
// first, template for all projects
foreach ($g_note_template[0] as $title => $content) {
echo "<option value='".htmlentities($content,ENT_QUOTES)."'>".htmlentities($title,ENT_QUOTES)."</option>" ;
}
// same specific for project

            foreach ($g_note_template[helper_get_current_project()] as $title => $content) {
                echo &quot;&lt;option value='&quot;.htmlentities($content,ENT_QUOTES).&quot;'>&quot;.htmlentities($title,ENT_QUOTES).&quot;&lt;/option>&quot; ;
            }
        ?>
    &lt;/select>
    &lt;!-- HOY bug note template end -->

And add templates in config_inc.php :
<<
$g_note_template[0]['Demande d\'intervention éè'] = "Intervention start on:
duration:
risk:
" ;
$g_note_template[0]['intervention accept'] = "ok for intervention" ;
$g_note_template[0]['intervention reschedule'] = "please reschedule
Intervention start on:
duration:
" ;

$g_note_template[1]['Sand box spec'] = "Sand box template
&\"'<>&éàç
" ;

I will try to find time to make this a plugin.
Improvments to be implemented:

  • translation management / use lang_get,
  • project by name and not by id,
  • template by user role (not the same one for developers and reporters),
  • template by status
  • don't display if no template available
atrol

atrol

2010-08-16 15:23

developer   ~0026335

John wrote this plugin
http://git.mantisforge.org/w/snippets.git
I hope this plugin (and some more) will become part of standard MantisBT

franklinhaut

franklinhaut

2010-08-17 09:39

reporter   ~0026344

cool, works very fine, thanks to all

franklinhaut

franklinhaut

2015-04-17 12:23

reporter   ~0049436

The snippets plugin resolved this. Please close this issue.

atrol

atrol

2015-04-17 14:07

developer   ~0049437

Last edited: 2015-04-17 14:07

View 2 revisions

Source is now hosted at https://github.com/mantisbt-plugins/snippets

Issue History

Date Modified Username Field Change
2009-11-06 10:51 franklinhaut New Issue
2009-11-06 10:51 franklinhaut File Added: autotext.jpg
2009-11-06 15:57 vboctor Note Added: 0023610
2009-11-06 15:57 vboctor Status new => acknowledged
2009-11-11 13:47 franklinhaut Tag Attached: plugin
2009-11-11 17:25 yw84ever Note Added: 0023661
2009-11-12 05:33 franklinhaut Note Added: 0023678
2009-11-12 05:54 franklinhaut Note Added: 0023681
2009-11-12 06:44 vboctor Note Added: 0023682
2009-11-12 12:29 franklinhaut Note Added: 0023698
2009-11-17 06:49 hoy Note Added: 0023738
2009-11-17 07:05 hoy Note Edited: 0023738 View Revisions
2010-08-16 15:23 atrol Note Added: 0026335
2010-08-17 09:39 franklinhaut Note Added: 0026344
2015-04-17 12:23 franklinhaut Note Added: 0049436
2015-04-17 14:04 atrol Assigned To => atrol
2015-04-17 14:04 atrol Status acknowledged => resolved
2015-04-17 14:04 atrol Resolution open => fixed
2015-04-17 14:07 atrol Note Added: 0049437
2015-04-17 14:07 atrol Note Edited: 0049437 View Revisions
2015-04-29 13:19 atrol Status resolved => closed